catalog:
  title: RST Proto

templates:
- code-corlab
- cmake-cpp
- maven-manual-deploy
- base

variables:
  description: >-
    Type specifications for Robotics and Cognitive Systems specified
    in Google Protocol Buffer's IDL format.

    This is a fork used by the LSP CSRA project.

  redmine-project: rst

  repository: https://code.cor-lab.de/git/rst.git.proto
  branches:
  - master
  - '0.15'
  - '0.13'
  - '0.12'
  - '0.11'
  - '0.10'
  - '0.9'

  extra-provides:
  - nature: maven
    target: rsb/rst
    version: ${version-name}-SNAPSHOT
  - nature: maven
    target: rsb/rst-sandbox
    version: ${version-name}-SNAPSHOT
  - nature: setuptools
    target: rst
    version: ${version-name}

  cmake.options:
  - BUILD_CPP=OFF
  - BUILD_MATLAB=OFF
  - BUILD_PYTHON=OFF
  - '@{next-value|[]}'

  post-build-hook/unix.command: |
    ${maven.shell.functions}
    cd ${build-dir}
    if [ `find java -maxdepth 1 -name 'rst*-*.jar'| wc -l` -gt 0 ]; then
      maven_install_with_pom "\$(ls java/rst-*.jar)" "\$(ls java/pom-stable*.xml)"
      maven_install_with_pom "\$(ls java/rstsandbox-*.jar)" "\$(ls java/pom-sandbox*.xml)"
    fi

versions:
- name: master
  variables:
    extra-provides:
    - nature: maven
      target: rsb/rst
      version: 0.13-SNAPSHOT
    - nature: maven
      target: rsb/rst-sandbox
      version: 0.13-SNAPSHOT
    - nature: setuptools
      target: rst
      version: '0.13'
